searchData={"items":[{"type":"module","title":"Islands.Board","doc":"A board struct and functions for the _Game of Islands_.\n\nThe board struct contains the fields `islands` and `misses` representing the\ncharacteristics of a board in the _Game of Islands_.\n\n###","ref":"Islands.Board.html"},{"type":"module","title":"Based on the book [Functional Web Development](https://pragprog.com/titles/lhelph/functional-web-development-with-elixir-otp-and-phoenix/) by Lance Halvorsen. - Islands.Board","doc":"","ref":"Islands.Board.html#module-based-on-the-book-functional-web-development-https-pragprog-com-titles-lhelph-functional-web-development-with-elixir-otp-and-phoenix-by-lance-halvorsen"},{"type":"function","title":"Islands.Board.all_islands_positioned?/1","doc":"Checks if all islands have been positioned on `board`.","ref":"Islands.Board.html#all_islands_positioned?/1"},{"type":"function","title":"Islands.Board.forested_types/1","doc":"Returns a list of island types for forested islands.","ref":"Islands.Board.html#forested_types/1"},{"type":"function","title":"Islands.Board.grid_positions/1","doc":"Returns a map assigning the CSS grid position of each island\non `board` to its island type.","ref":"Islands.Board.html#grid_positions/1"},{"type":"function","title":"Islands.Board.guess/2","doc":"Checks if `guess` hit any island on `board` and returns a response tuple.","ref":"Islands.Board.html#guess/2"},{"type":"function","title":"Islands.Board.hit_cells/1","doc":"Returns a map assigning the list of hits \"cells\" of each island\non `board` to its island type.","ref":"Islands.Board.html#hit_cells/1"},{"type":"function","title":"Islands.Board.hits/1","doc":"Returns the `board`'s total number of hits.","ref":"Islands.Board.html#hits/1"},{"type":"function","title":"Islands.Board.miss_squares/1","doc":"Returns a map assigning to :squares the list of square numbers\nfrom the `board`'s misses.","ref":"Islands.Board.html#miss_squares/1"},{"type":"function","title":"Islands.Board.misses/1","doc":"Returns the `board`'s total number of misses.","ref":"Islands.Board.html#misses/1"},{"type":"function","title":"Islands.Board.new/0","doc":"Returns an empty board struct.","ref":"Islands.Board.html#new/0"},{"type":"function","title":"Islands.Board.position_island/2","doc":"Positions `island` on `board` and returns an updated `board` or\n`{:error, reason}` if `island` overlaps another `board`'s island.","ref":"Islands.Board.html#position_island/2"},{"type":"type","title":"Islands.Board.islands/0","doc":"A map assigning islands to their island types","ref":"Islands.Board.html#t:islands/0"},{"type":"type","title":"Islands.Board.t/0","doc":"A board struct for the Game of Islands","ref":"Islands.Board.html#t:t/0"},{"type":"module","title":"Islands.Board.Response","doc":"A 4-element tuple reflecting the effect of a guess (hit or miss) on a board.","ref":"Islands.Board.Response.html"},{"type":"function","title":"Islands.Board.Response.check_guess/2","doc":"Checks if `guess` hit any island on `board`.\n\nReturns `{:hit, hit_island}`, where hit_island is the island hit by `guess`\nonce updated, or `{:miss, guess}` if `guess` was a miss.","ref":"Islands.Board.Response.html#check_guess/2"},{"type":"function","title":"Islands.Board.Response.format_response/2","doc":"Converts a preliminary response to a guess into a full response.","ref":"Islands.Board.Response.html#format_response/2"},{"type":"type","title":"Islands.Board.Response.guess_check/0","doc":"Preliminary response to a guess","ref":"Islands.Board.Response.html#t:guess_check/0"},{"type":"type","title":"Islands.Board.Response.t/0","doc":"Full response to a guess","ref":"Islands.Board.Response.html#t:t/0"}],"content_type":"text/markdown"}